#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bzrtp
Version		:	5.2.73
Release		:	14.4.0.0%{?dist}
Summary		:	BZRTP is an opensource implementation of ZRTP keys exchange protocol(RFC6189).

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0-or-later AND GPL-2.0-or-later
URL		:	https://gitlab.linphone.org/BC/public/bzrtp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bctoolbox-devel
BuildRequires	:	bctoolbox-tester
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
The library is written in C and C++ is fully
portable and can be executed on many platforms
including both ARM processor and x86.

The library extends the ZRTP protocol version 1.1
to support Post Quantum Cryptography algorithms.
See Post Quantum Crypto Engine documentation for details.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.0

#=============================================================================
%package		devel
Summary		:	Development libraries for bzrtp
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries and headers required to develop software
with bzrtp.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/cmake/%{name}*.cmake
%{_defaultdocdir}/%{name}-%{version}/*.css
%{_defaultdocdir}/%{name}-%{version}/*.js
%{_defaultdocdir}/%{name}-%{version}/search/search.css
%{_defaultdocdir}/%{name}-%{version}/search/*.js
%{_defaultdocdir}/%{name}-%{version}/search/*.svg
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_defaultdocdir}/%{name}-%{version}/*.png
%{_defaultdocdir}/%{name}-%{version}/*.svg

#=============================================================================
%prep
%setup -q

sed -i							\
  -e "s/VERSION 5.2.0/VERSION %{version}/"		\
  CMakeLists.txt

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D ENABLE_STATIC=NO				\
	-D ENABLE_DOC=YES				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
